Skip to content

generic_icons_list

GET
/api/generic/icons/
curl --request GET \
--url https://example.com/api/generic/icons/ \
--header 'Authorization: <Authorization>'

List icons with optional filtering and pagination.

name
string

Filter by icon name (contains, case-insensitive)

ordering
string

Which field to use when ordering the results.

page
integer

A page number within the paginated result set.

search
string

A search term.

Media typeapplication/json
object
count
required
integer
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>

Serializer for representing the name of an icon.

Fields: name (CharField): The name of the icon. source (CharField): The source of the icon.

object
name
required
string
source
required
string

Example

{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}